<?php

namespace Moblyze\Competency;

use DB;
use Illuminate\Database\Seeder;

class CrewtypeTableSeeder extends Seeder
{
    public function run()
    {
        DB::table('crewtypes')->insert([
            
        ]);

        DB::table('permissions')->insert([
            [
                'slug'      => 'competency.crewtype.view',
                'name'      => 'View Crewtype',
            ],
            [
                'slug'      => 'competency.crewtype.create',
                'name'      => 'Create Crewtype',
            ],
            [
                'slug'      => 'competency.crewtype.edit',
                'name'      => 'Update Crewtype',
            ],
            [
                'slug'      => 'competency.crewtype.delete',
                'name'      => 'Delete Crewtype',
            ],
            
            
        ]);

        DB::table('menus')->insert([

            [
                'parent_id'   => 1,
                'key'         => null,
                'url'         => 'admin/competency/crewtype',
                'name'        => 'Crewtype',
                'description' => null,
                'icon'        => 'fa fa-newspaper-o',
                'target'      => null,
                'order'       => 190,
                'status'      => 1,
            ],

            [
                'parent_id'   => 2,
                'key'         => null,
                'url'         => 'user/competency/crewtype',
                'name'        => 'Crewtype',
                'description' => null,
                'icon'        => 'icon-book-open',
                'target'      => null,
                'order'       => 190,
                'status'      => 1,
            ],

            [
                'parent_id'   => 3,
                'key'         => null,
                'url'         => 'crewtype',
                'name'        => 'Crewtype',
                'description' => null,
                'icon'        => null,
                'target'      => null,
                'order'       => 190,
                'status'      => 1,
            ],

        ]);

        DB::table('settings')->insert([
            // Uncomment  and edit this section for entering value to settings table.
            /*
            [
                'pacakge'   => 'Competency',
                'module'    => 'Crewtype',
                'user_type' => null,
                'user_id'   => null,
                'key'       => 'competency.crewtype.key',
                'name'      => 'Some name',
                'value'     => 'Some value',
                'type'      => 'Default',
                'control'   => 'text',
            ],
            */
        ]);
    }
}
