<?php

return [
    /*
    |--------------------------------------------------------------------------
    | Language files for competency in competency package
    |--------------------------------------------------------------------------
    |
    | The following language lines are  for  competency module in competency package
    | and it is used by the template/view files in this module
    |
    */

    /**
     * Singlular and plural name of the module
     */
    'name'          => 'Competency',
    'names'         => 'Competencies',
    
    /**
     * Singlular and plural name of the module
     */
    'title'         => [
        'main'  => 'Competencies',
        'sub'   => 'Competencies',
        'list'  => 'List of competencies',
        'edit'  => 'Edit competency',
        'create'    => 'Create new competency'
    ],

    /**
     * Options for select/radio/check.
     */
    'options'       => [
            'mandatory'           => ['Yes','No'],
    ],

    /**
     * Placeholder for inputs
     */
    'placeholder'   => [
        'id'                         => 'Please enter id',
        'crew_type_id'               => 'Please enter crew type id',
        'course_id'                  => 'Please enter course id',
        'asset_type_id'              => 'Please enter asset type id',
        'asset_id'                   => 'Please enter asset id',
        'mandatory'                  => 'Please select mandatory',
        'slug'                       => 'Please enter slug',
        'user_id'                    => 'Please enter user id',
        'user_type'                  => 'Please enter user type',
        'deleted_at'                 => 'Please select deleted at',
        'created_at'                 => 'Please select created at',
        'updated_at'                 => 'Please select updated at',
    ],

    /**
     * Labels for inputs.
     */
    'label'         => [
        'id'                         => 'Id',
        'crew_type_id'               => 'Crew type id',
        'course_id'                  => 'Course id',
        'asset_type_id'              => 'Asset type id',
        'asset_id'                   => 'Asset id',
        'mandatory'                  => 'Mandatory',
        'slug'                       => 'Slug',
        'user_id'                    => 'User id',
        'user_type'                  => 'User type',
        'deleted_at'                 => 'Deleted at',
        'created_at'                 => 'Created at',
        'updated_at'                 => 'Updated at',
    ],

    /**
     * Columns array for show hide checkbox.
     */
    'cloumns'         => [
        'crew_type_id'               => ['name' => 'Crew type id', 'data-column' => 1, 'checked'],
        'course_id'                  => ['name' => 'Course id', 'data-column' => 2, 'checked'],
        'asset_type_id'              => ['name' => 'Asset type id', 'data-column' => 3, 'checked'],
        'asset_id'                   => ['name' => 'Asset id', 'data-column' => 4, 'checked'],
        'mandatory'                  => ['name' => 'Mandatory', 'data-column' => 5, 'checked'],
    ],

    /**
     * Tab labels
     */
    'tab'           => [
        'name'  => 'Competencies',
    ],

    /**
     * Texts  for the module
     */
    'text'          => [
        'preview' => 'Click on the below list for preview',
    ],
];
