<?php

return [
    /*
    |--------------------------------------------------------------------------
    | Language files for user in competency package
    |--------------------------------------------------------------------------
    |
    | The following language lines are  for  user module in competency package
    | and it is used by the template/view files in this module
    |
    */

    /**
     * Singlular and plural name of the module
     */
    'name'          => 'User',
    'names'         => 'Users',
    
    /**
     * Singlular and plural name of the module
     */
    'title'         => [
        'main'  => 'Users',
        'sub'   => 'Users',
        'list'  => 'List of users',
        'edit'  => 'Edit user',
        'create'    => 'Create new user'
    ],

    /**
     * Options for select/radio/check.
     */
    'options'       => [
            'status'              => ['Valid','Invalid'],
    ],

    /**
     * Placeholder for inputs
     */
    'placeholder'   => [
        'id'                         => 'Please enter id',
        'user_id'                    => 'Please enter user id',
        'course_id'                  => 'Please enter course id',
        'details'                    => 'Please enter details',
        'status'                     => 'Please select status',
        'completed_date'             => 'Please enter completed date',
        'expiry_date'                => 'Please enter expiry date',
        'deleted_at'                 => 'Please select deleted at',
        'created_at'                 => 'Please select created at',
        'updated_at'                 => 'Please select updated at',
    ],

    /**
     * Labels for inputs.
     */
    'label'         => [
        'id'                         => 'Id',
        'user_id'                    => 'User id',
        'course_id'                  => 'Course id',
        'details'                    => 'Details',
        'status'                     => 'Status',
        'completed_date'             => 'Completed date',
        'expiry_date'                => 'Expiry date',
        'deleted_at'                 => 'Deleted at',
        'created_at'                 => 'Created at',
        'updated_at'                 => 'Updated at',
    ],

    /**
     * Columns array for show hide checkbox.
     */
    'cloumns'         => [
        'course_id'                  => ['name' => 'Course id', 'data-column' => 1, 'checked'],
        'details'                    => ['name' => 'Details', 'data-column' => 2, 'checked'],
        'status'                     => ['name' => 'Status', 'data-column' => 3, 'checked'],
        'completed_date'             => ['name' => 'Completed date', 'data-column' => 4, 'checked'],
        'expiry_date'                => ['name' => 'Expiry date', 'data-column' => 5, 'checked'],
    ],

    /**
     * Tab labels
     */
    'tab'           => [
        'name'  => 'Users',
    ],

    /**
     * Texts  for the module
     */
    'text'          => [
        'preview' => 'Click on the below list for preview',
    ],
];
