<?php

namespace Moblyze\Competency\Repositories\Eloquent;

use Moblyze\Competency\Interfaces\CourseRepositoryInterface;
use Litepie\Repository\Eloquent\BaseRepository;

class CourseRepository extends BaseRepository implements CourseRepositoryInterface
{


    public function boot()
    {
        $this->fieldSearchable = config('moblyze.competency.course.model.search');

    }

    /**
     * Specify Model class name.
     *
     * @return string
     */
    public function model()
    {
        return config('moblyze.competency.course.model.model');
    }
}
