<?php

namespace Moblyze\Competency\Repositories\Eloquent;

use Moblyze\Competency\Interfaces\UserRepositoryInterface;
use Litepie\Repository\Eloquent\BaseRepository;

class UserRepository extends BaseRepository implements UserRepositoryInterface
{


    public function boot()
    {
        $this->fieldSearchable = config('moblyze.competency.user.model.search');

    }

    /**
     * Specify Model class name.
     *
     * @return string
     */
    public function model()
    {
        return config('moblyze.competency.user.model.model');
    }
}
