<?php

namespace Moblyze\Competency;

use DB;
use Illuminate\Database\Seeder;

class CompetencyTableSeeder extends Seeder
{
    public function run()
    {
        DB::table('competencies')->insert([
            
        ]);

        DB::table('permissions')->insert([
            [
                'slug'      => 'competency.competency.view',
                'name'      => 'View Competency',
            ],
            [
                'slug'      => 'competency.competency.create',
                'name'      => 'Create Competency',
            ],
            [
                'slug'      => 'competency.competency.edit',
                'name'      => 'Update Competency',
            ],
            [
                'slug'      => 'competency.competency.delete',
                'name'      => 'Delete Competency',
            ],
            
            
        ]);

        DB::table('menus')->insert([

            [
                'parent_id'   => 1,
                'key'         => null,
                'url'         => 'admin/competency/competency',
                'name'        => 'Competency',
                'description' => null,
                'icon'        => 'fa fa-newspaper-o',
                'target'      => null,
                'order'       => 190,
                'status'      => 1,
            ],

            [
                'parent_id'   => 2,
                'key'         => null,
                'url'         => 'user/competency/competency',
                'name'        => 'Competency',
                'description' => null,
                'icon'        => 'icon-book-open',
                'target'      => null,
                'order'       => 190,
                'status'      => 1,
            ],

            [
                'parent_id'   => 3,
                'key'         => null,
                'url'         => 'competency',
                'name'        => 'Competency',
                'description' => null,
                'icon'        => null,
                'target'      => null,
                'order'       => 190,
                'status'      => 1,
            ],

        ]);

        DB::table('settings')->insert([
            // Uncomment  and edit this section for entering value to settings table.
            /*
            [
                'pacakge'   => 'Competency',
                'module'    => 'Competency',
                'user_type' => null,
                'user_id'   => null,
                'key'       => 'competency.competency.key',
                'name'      => 'Some name',
                'value'     => 'Some value',
                'type'      => 'Default',
                'control'   => 'text',
            ],
            */
        ]);
    }
}
