Lavalite package that provides competency management facility for the cms.

## Installation

Begin by installing this package through Composer. Edit your project's `composer.json` file to require `moblyze/competency`.

    "moblyze/competency": "dev-master"

Next, update Composer from the Terminal:

    composer update

Once this operation completes execute below cammnds in command line to finalize installation.

    Moblyze\Competency\Providers\CompetencyServiceProvider::class,

And also add it to alias

    'Competency'  => Moblyze\Competency\Facades\Competency::class,

## Publishing files and migraiting database.

**Migration and seeds**

    php artisan migrate
    php artisan db:seed --class=Moblyze\\CompetencyTableSeeder

**Publishing configuration**

    php artisan vendor:publish --provider="Moblyze\Competency\Providers\CompetencyServiceProvider" --tag="config"

**Publishing language**

    php artisan vendor:publish --provider="Moblyze\Competency\Providers\CompetencyServiceProvider" --tag="lang"

**Publishing views**

    php artisan vendor:publish --provider="Moblyze\Competency\Providers\CompetencyServiceProvider" --tag="view"


### Web Urls

**Admin**

    http://path-to-route-folder/admin/competency/{modulename}

**User**

    http://path-to-route-folder/user/competency/{modulename}

**Public**

    http://path-to-route-folder/competencies


### API endpoints

**List**

    http://path-to-route-folder/api/user/competency/{modulename}
    METHOD: GET

**Create**

    http://path-to-route-folder/api/user/competency/{modulename}
    METHOD: POST

**Edit**

    http://path-to-route-folder/api/user/competency/{modulename}/{id}
    METHOD: PUT

**Delete**

    http://path-to-route-folder/api/user/competency/{modulename}/{id}
    METHOD: DELETE

**Public List**

    http://path-to-route-folder/api/competency/{modulename}
    METHOD: GET

**Public Single**

    http://path-to-route-folder/api/competency/{modulename}/{slug}
    METHOD: GET